Name: smb4k
Version: 0.6.4
Release: alt0.M24.1

Summary: Samba (SMB/CIFS) share browser for KDE
Summary(ru_RU.KOI8-R):     Samba (SMB/CIFS)  KDE
License: GPL
Group: Networking/Other
Url: http://smb4k.berlios.de/

Packager: Andrei Bulava <abulava@altlinux.ru>

Source0: http://download.berlios.de/smb4k/%name-%version.tar.gz
Source1: %name.sudo.d
Source2: README.ALT-ru_RU.KOI8-R
Patch3: %name-0.6.1-alt-sudoers.patch
Patch5: %name-0.6.3-alt-la_libadd-makefile.patch
Patch6: %name-0.6.4-alt-mount-path.patch

Requires: lib%name = %version-%release
Requires: %name-common = %version-%release

BuildPreReq: libqt3-devel >= 3.2.0 kdelibs-devel >= 3.2.0
BuildPreReq: XFree86-devel fontconfig freetype2 gcc-c++ hostinfo
BuildPreReq: libarts-devel libjpeg-devel libpng3-devel libstdc++-devel
BuildPreReq: menu-devel xml-utils zlib-devel kdebase-devel

%description
Smb4K is a Samba (SMB/CIFS) share browser for KDE. Its aim is to provide a tool
for an easy access to the SMB shares of your local network neighborhood.

This package contains standalone (independent of Konqueror) version of Smb4K.
The Smb4K Konqueror plugin is contained in smb4k-konqueror package.

%description -l ru_RU.KOI8-R
Smb4K -     Samba (SMB/CIFS)  KDE.  
-        SMB/CIFS  
 .

    (  Konqueror)  Smb4K.
 Smb4K  Konqueror    smb4k-konqueror.

%package konqueror
Summary: Smb4K Konqueror plugin
Group: Networking/Other
Requires: lib%name = %version-%release
Requires: %name-common = %version-%release

%description konqueror
Smb4K is a Samba (SMB/CIFS) share browser for KDE. Its aim is to provide a tool
for an easy access to the SMB shares of your local network neighborhood.

This package contains the Smb4K Konqueror plugin. Standalone version of Smb4K
is contained in smb4k package.

%description konqueror -l ru_RU.KOI8-R
Smb4K -     Samba (SMB/CIFS)  KDE.  
-        SMB/CIFS  
 .

    Smb4K  Konqueror.   Smb4K
   smb4k.

%package common
Summary: Smb4K common files
Group: Networking/Other
Requires: samba-client kdeutils-kwallet >= 3.2.0

%description common
This package contains the Smb4K common files.

%package -n lib%name
Summary: Smb4K shared libraries
Group: System/Libraries
Requires: %{get_dep kdelibs}

%description -n lib%name
This package contains the Smb4K shared libraries.

%package -n lib%name-devel
Summary: Smb4K include files and development libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the Smb4K include files and development libraries
required when building applications which are going to use Smb4K shared
libraries.

%prep
%setup -q -n %name-%version
%patch3 -p1
%patch5 -p1
%patch6 -p1

%__install -p -m0644 %SOURCE2 .

%build
# remake the GNU Build System files
/bin/sh admin/cvs.sh dist

# work around absence of .la files in ALT
%__subst s/"\.la"/".so"/ configure

# make verify-elf happy
%configure --disable-rpath --with-pic
%make

%install
%make DESTDIR=%buildroot install
%__mkdir_p %buildroot%_sysconfdir/sudo.d/
%__install -m0400 %SOURCE1 %buildroot%_sysconfdir/sudo.d/%name

%find_lang %name

# make menu entry
%__mkdir -p %Kb_menudir
%Kd2m %name "Networking/Other" %Kbmenudir/%name.desktop %Kb_menudir/%name x11

%__ln_s $(relative %_docdir/%name-common-%version %_docdir/%name-%version) %buildroot/%_docdir/%name-%version
%__ln_s $(relative %_docdir/%name-common-%version %_docdir/%name-konqueror-%version) %buildroot/%_docdir/%name-konqueror-%version

%post
%update_menus

%postun
%clean_menus

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files
%_docdir/%name-%version
%_bindir/%name
%Kmenudir/%name.desktop
%_menudir/%name
%_iconsdir/*/*/*/*

%files konqueror
%_docdir/%name-konqueror-%version
%_libdir/kde3/konqsidebar_%{name}.*
%_datadir/apps/konqsidebartng/add/%{name}_add.desktop

%files common -f %name.lang
%doc AUTHORS BUGS ChangeLog COPYING README TODO README.ALT-ru_RU.KOI8-R
%attr(0400,root,root) %config(noreplace) %_sysconfdir/sudo.d/%name
%_bindir/%{name}_*
%_datadir/apps/%name/
%_docdir/HTML/*/%name/

%files -n lib%name
%_libdir/lib%{name}*.so.*

%files -n lib%name-devel
%_includedir/%{name}*.h
%_libdir/lib%{name}*.so

%changelog
* Thu Nov 24 2005 Alexey Borovskoy <alb@altlinux.ru> 0.6.4-alt0.M24.1
- Based on version 0.6.4-alt1 from Sisyphus.
- Add Patch6 to replace patch-by-find-sed.

* Sat Feb 26 2005 Alexey Borovskoy <alb@altlinux.ru> 0.5.1-alt0.M24.1
- Backport to Master 2.4
- Build dependencies optimization
- README.ALT reformat
- Add information about konqueror to README.ALT

* Tue Feb 01 2005 Andrei Bulava <abulava@altlinux.ru> 0.5.1-alt1
- 0.5.1
- removed alt-smb4k_umount-execvp patch (fixed in upstream)

* Wed Jan 26 2005 Andrei Bulava <abulava@altlinux.ru> 0.5.0-alt1
- 0.5.0
- removed pl.po-UTF-8 patch (fixed in upstream)
- removed alt-client_side_cp1251 patch (merged upstream)
- worked around broken findprog() function in utilities/smb4k_umount.cpp
- /etc/sudoers editing by smb4k was considered insecure and harmful, so
  super user actions, which depend on sudo, should be activated in
  /etc/sudo.d/smb4k via visudo so far (see README.ALT); thanks to Nick S.
  Grechukh (gns@) for a patch and suggestions

* Thu Jan 20 2005 ALT QA Team Robot <qa-robot@altlinux.org> 0.4.1a-alt2.1
- Rebuilt with libstdc++.so.6.

* Wed Oct 27 2004 Andrei Bulava <abulava@altlinux.ru> 0.4.1a-alt2
- added Russian summary and description
- added cp1251 charset support on client side

* Fri Oct 01 2004 Andrei Bulava <abulava@altlinux.ru> 0.4.1a-alt1
- initial build for ALT Linux; based on specfile by Marcin Garski

